<?php
	session_start();
	if($_SESSION['rid'])
	{
		$userid=$_SESSION['rid'];
	}
	else
	{
		header('location:../login.php');
	}
?>
<?php
	include'connection.php';
	
		    date_default_timezone_set("asia/Kolkata");
			$datetime= Date("Y-m-d - h:i:s A");
			$time= Date("h:i:s A");
			$date= Date("Y-m-d");
		
		$query8="select * from wallet where Userid=$userid order by Id desc";
		$result8=mysqli_query($con,$query8);
		$data8=mysqli_fetch_array($result8);
		$currentbal= $data8['Balance'];
?>
<html>
<title>LLP Recharge</title>
<head>
<style>
body{background:url('bg.jpg'); background-size:cover;
width:100%; height:700px; margin:0px;}

.head{background:; width:1350px; height:85px; margin:0px;}
#p1{font-size:34px; float:left; Margin:10 0 0 45px; color:#996420; font-weight:bold;}
#p2{font-size:20px; float:left; margin:28 0 0 -8px; color:#eaa040; font-family:Courier;}
#p3{font-size:15px; font-family:Comic Sans MS; float:left; color:#996420; margin-top:48px; margin-left:-153px;}
.h2{background:white; width:400px; height:70px; margin:10 200px;}
#link1{float:right; margin:10 30 0 0px; font-size:20px; text-decoration:none;
 color:white; background:red; padding:5px; border-radius:4px;}
 #link2{float:right; margin:10 30 0 0px; font-size:20px; background:white;color:Green; padding:5px; border-radius:4px;}
#link1:hover{ padding:5px; border-radius:4px; color:black;}
	
.menu{background:#996420; height:40px; width:1300px; margin:0 0 0 20px; padding:0;}
.menu ul{padding:0; margin:0; position:relative; display:inline-block;}
.menu ul li{list-style:none; float:left; width:170px; line-height:40px;
	text-align:center; font-size:15px; margin:0; padding:0; color:white;}
.menu ul li ul {display:none;}
.menu ul li:hover{background:#d1994a; cursor:pointer;}
.menu ul li:hover ul {display:block; z-index:2;}
.menu ul li:hover ul li{background:#d1994a; border-top:solid white 0.1px;}
.menu ul li ul li:hover{background:#996420; color:white;}
.menu ul li ul li:hover a{ color:white;}
.menu ul li a{ text-decoration:none; color:white;}
 #a1{border:none; color:white;}
 .menu{letter-spacing:1px;}
 #bal:hover{background:#996420; cursor:text;}
 

 #heading{margin-left:20px; }
 .search{width:1300px; margin:10 0 0 20px; height:100px; line-height:60px;}
#inp{ height:35px; border:1px solid #996420; border-radius:3px; padding:2 8px; font-size:18px;}
#tdp{float:right; margin-right:20px; font-size:20px;}
  .rechhistoryhead{width:1350px; background:#996420; color:white; height:40px;
 margin:0  0 0 20px; line-height:40px;}
 .rechhistoryhead p{margin-left:10px;}
 .rechreport{ margin:0;}
#t1{ width:1350px; text-align:center; border-collapse:collapse; border-color:black; margin-left:20px;}
#t1 th{font-family:calibri; background:#94928f; color:white; font-size:20px;}
#t1 td{font-family:calibri; font-size:18px;}
#t1 tr:nth-child(odd){background:#f6f0e8;}
#t1 tr:nth-child(even){background:white; }
#green{color:#19dc42;}
#red{color:red;}
#blue{color:blue;}

.foot{margin:50px;}
</style>
</head>
<body>
	<div class="head">
		<p id="p1">LLP</p>
		<p id="p2">Recharge</p>
		<p id="p3">The Complete Solution</p>
		<a id="link1" href="logout.php">Log Out</a>
	</div>
	<div class="menu">
		<ul>
			<li><a href="recharge_home.php" id="a1">Home</a></li>
			<li>Reports
				<ul>
					<li><a href="recharge_history.php">Recharge History</a></li>
					<li><a href="account_reports.php">Account Reports</a></li>
					<li><a href="check_status.php">Check Status</a></li>
				</ul>
			</li>
			<li>Documents
				<ul>
					<li><a href="my_commission.php">My Commission</a></li>
					<li><a href="commision.php">Get Commission</a></li>
					<li><a href="complain.php">Complain</a></li>
				</ul>
			</li>
			<li>Profile
				<ul>
					<li><a href="change_profile.php">Change Profile</a></li>
					<li><a href="change_pwd.php">Change Password</a></li>
				</ul>
			</li>
			<li>Payment Request
				<ul>
					<li><a href="payment_request.php">Update Payment</a></li>
					<li><a href="TopUpReport.php">TopUp Report</a></li>
					<li><a href="bank_list.php">Bank List</a></li>
				</ul>
			</li>
			<li id="bal">Balance :</li>
			<li id="bal"><?php echo floor($currentbal); ?></li>
		</ul>
	</div>
	
		<h3 id="heading">TopUp History<h3><hr>

	<div class="search">
	<form method="post">
	<table border="0" cellpadding="8">
		<tr>
			<td id="tdp">Search By Date:</td>
			<td><input type="date" name="fdate" id="inp"value="<?php echo $date; ?>" ></td>
			<td>
			    <select id="inp" name="status">
			        <option>ALL</option>
			        <option>APPROVED</option>
			        <option>REJECTED</option>
			        <option>PENDING</option>
			    </select>
			</td>
			<td><input type="submit" name="submit" id="inp"></td>
		</tr>
	</table>
	</form>
	</div>
	
	<div class="rechhistoryhead">
		<p>TopUp Reports</p>
	</div>
	
	<div class="rechreport">
	    <table width="100%" border="1"  cellpadding="5" id="t1">
			<tr >
				<th>Sl.No.</th>
				<th>Req.Id</th>
				<th>Req.Date</th>
				<th>Payment Date</th>
				<th>Time</th>
				<th>Amount</th>
				<th>Mode</th>
				<th>Transaction No.</th>
				<th>Bank Name</th>
				<th>Bank Charge</th>
				<th>Remarks</th>
				<th>Response Messege</th>
				<th>Status</th>
			</tr>
	
		<?php
		include'connection.php';
		
		if(isset($_POST['submit']))
		{
			$fdate=$_POST['fdate'];
			$op=$_POST['op'];
			$status=$_POST['status'];
			
			$sl=0;
			$TotalDebit=0;
			$TotalAmount=0;
			
			if(empty($fdate))
			{
				echo "Please Choose Any Date";
			}
			else
			{
			        if($status=="ALL")
			        {
				        $getrechhistq="select * from paymentreq where Userid='$userid' and Date='$fdate'";
			        }
			        else
			        {
			            $getrechhistq="select * from paymentreq where Userid='$userid' and Status='$status' and Date='$fdate'";
			        }
			  
				$resultgetrechhid=mysqli_query($con,$getrechhistq);
				while($row=mysqli_fetch_array($resultgetrechhid))
				{
					$sl=$sl+1;
					
					if($row['Status']=='APPROVED')
					{
						$color="green";
					}
					elseif($row['Status']=='REJECTED')
					{
						$color="red";
					}
					else
					{
					    $color="blue";
					}
					echo "<tr>";
						echo "<td>".$sl."</td>";
						echo "<td>".$row['Id']."</td>";
						echo "<td>".$row['Date']."</td>";
						echo "<td>".$row['Paymentdate']."</td>";
						echo "<td>".$row['Time']."</td>";
						echo "<td>".$row['Amount']."</td>";
						echo "<td>".$row['Mode']."</td>";
						echo "<td>".$row['Txnnumber']."</td>";
						echo "<td>".$row['Bankname']."</td>";
						echo "<td>".$row['Bankcharge']."</td>";
						echo "<td>".$row['Remarks']."</td>";
						echo "<td>".$row['Responsemsg']."</td>";
						echo "<td id='$color'>".$row['Status']."</td>";
					echo "</tr>";
					$TotalAmount=$TotalAmount+$row['Amount'];
				}
			}
			
				echo "<tr>";
					echo "<th>Total Value</th>";
					echo "<th></th>";
					echo "<th></th>";
					echo "<th></th>";
					echo "<th></th>";
					echo "<th>".$TotalAmount."</th>";
					echo "<th></th>";
					echo "<th></th>";
					echo "<th></th>";
					echo "<th></th>";
					echo "<th></th>";
					echo "<th></th>";
					echo "<th></th>";
				echo "</tr>";
		}
		else
		{
		    $getrechhistq="select * from paymentreq where Userid='$userid' and Date='$date'";
		    $resultgetrechhid=mysqli_query($con,$getrechhistq);
				while($row=mysqli_fetch_array($resultgetrechhid))
				{
					$sl=$sl+1;
					
					if($row['Status']=='APPROVED')
					{
						$color="green";
					}
					elseif($row['Status']=='REJECTED')
					{
						$color="red";
					}
					else
					{
					    $color="blue";
					}
					echo "<tr>";
						echo "<td>".$sl."</td>";
						echo "<td>".$row['Id']."</td>";
						echo "<td>".$row['Date']."</td>";
						echo "<td>".$row['Paymentdate']."</td>";
						echo "<td>".$row['Time']."</td>";
						echo "<td>".$row['Amount']."</td>";
						echo "<td>".$row['Mode']."</td>";
						echo "<td>".$row['Txnnumber']."</td>";
						echo "<td>".$row['Bankname']."</td>";
						echo "<td>".$row['Bankcharge']."</td>";
						echo "<td>".$row['Remarks']."</td>";
						echo "<td>".$row['Responsemsg']."</td>";
						echo "<td id='$color'>".$row['Status']."</td>";
					echo "</tr>";
					$TotalAmount=$TotalAmount+$row['Amount'];
				}
			
				echo "<tr>";
					echo "<th>Total Value</th>";
					echo "<th></th>";
					echo "<th></th>";
					echo "<th></th>";
					echo "<th></th>";
					echo "<th>".$TotalAmount."</th>";
					echo "<th></th>";
					echo "<th></th>";
					echo "<th></th>";
					echo "<th></th>";
					echo "<th></th>";
					echo "<th></th>";
					echo "<th></th>";
				echo "</tr>";
		}
		echo "</table>";
		?>
	</div>
	<div class="foot">
		<p>Copyright &copy; 2018 Long Life Product Pvt. Ltd.</p>
	</div>
</body>
</html>